"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addIacAnalytics = void 0;
const analytics = require("../../../../lib/analytics");
function addIacAnalytics(formattedResults) {
    let totalIssuesCount = 0;
    const issuesByType = {};
    const packageManagers = Array();
    formattedResults.forEach((res) => {
        totalIssuesCount =
            (totalIssuesCount || 0) + res.result.cloudConfigResults.length;
        packageManagers.push(res.packageManager);
        res.result.cloudConfigResults.forEach((policy) => {
            var _a;
            const configType = policy.type + 'config';
            issuesByType[configType] = (_a = issuesByType[configType]) !== null && _a !== void 0 ? _a : {};
            issuesByType[configType][policy.severity] =
                (issuesByType[configType][policy.severity] || 0) + 1;
        });
    });
    analytics.add('packageManager', Array.from(new Set(packageManagers)));
    analytics.add('iac-issues-count', totalIssuesCount);
    analytics.add('iac-type', issuesByType);
    analytics.add('iac-test-count', formattedResults.length);
}
exports.addIacAnalytics = addIacAnalytics;
//# sourceMappingURL=analytics.js.map